Page MenuHomePhabricator

Allow to enable/disable the Vue version of the mentor dashboard
Closed, ResolvedPublic

Description

It would be wise for safety, QA and A/B testing to have a way to toggle between the Vue and non-Vue version of the mentor dashboard in Special:MentorDashboard.

Acceptance criteria

To enable the Vue dashboard these criteria must be met:

  • The wiki has a configuration option GEMentorDashboardUseVue set to true
  • ...

Event Timeline

Change 758476 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[mediawiki/extensions/GrowthExperiments@master] Vue migration: load Vue mentor dashboard module based on GEMentorDashboardUseVue

https://gerrit.wikimedia.org/r/758476

Sgs changed the task status from Open to In Progress.Apr 29 2022, 10:45 AM
Sgs moved this task from Incoming to In Progress on the Growth-Team (Current Sprint) board.
kostajh triaged this task as Medium priority.May 12 2022, 8:55 AM
Sgs updated the task description. (Show Details)

Change 758476 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Vue migration: load Vue mentor dashboard using config GEMentorDashboardUseVue

https://gerrit.wikimedia.org/r/758476

Sgs changed the task status from In Progress to Open.Jun 20 2022, 4:07 PM
Sgs moved this task from Code Review to QA on the Growth-Team (Current Sprint) board.
Etonkovidova added a subscriber: Etonkovidova.

Checked on testwiki wmf.21

  • the vue.js is detected
  • the config setting is in place
'wgGEMentorDashboardUseVue' => [
	'default' => false,
	'testwiki' => true,
]
  • Special:MentorDashboard works as expected